### Method

# Gimp Rasterizable is_rasterized

since: 3.2

#### Declaration [src]

    gboolean
    gimp_rasterizable_is_rasterized (
      GimpRasterizable* item
    )

#### Description [src]

Return whether `item` has been rasterized.

This procedure returns `TRUE` if the specified `item` has been previously rasterized. In this case, you should treat this `item` as the generic raster variant.

For instance, a `GimpTextLayer` object implements the %GimpRasterizable interface. If a text layer instance were to return `TRUE`, you should only consider its rendering as returned by `gimp_drawable_get_buffer()`.

On the other hand, if this returned `FALSE`, depending on your intents, you may prefer to use the text contents and its properties with the various procedures provided by the `GimpTextLayer` class interface.

Available since: 3.2

#### Return value

Type: `gboolean`

TRUE if `item` is rasterized.